from mpi4py import MPI
import numpy
import time

comm = MPI.COMM_WORLD
size = comm.Get_size()
rank = comm.Get_rank()

start = time.time()
for i in range(0,100):
    if rank == 0:
        data = numpy.arange(1000000, dtype=float)
        comm.send(data,dest=1,tag=1)
    if rank == 1:
        data = comm.recv(source=0,tag=1)
end = time.time()
print('Lower Case: ' + str(end - start))

start = time.time()
for i in range(0,100):
    if rank == 0:
        data = numpy.arange(1000000, dtype=float)
        comm.Send(data,dest=1,tag=1)
    if rank == 1:
        data = numpy.empty(1000000, dtype=float)
        comm.Recv(data, source=0,tag=1)
end = time.time()
print('Upper Case: ' + str(end - start))
